import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface ApiGatewayResourceConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly parentId: string;
    /**
     * @stability stable
     */
    readonly pathPart: string;
    /**
     * @stability stable
     */
    readonly restApiId: string;
}
/**
 * @stability stable
 */
export declare class ApiGatewayResource extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiGatewayResourceConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _parentId;
    /**
     * @stability stable
     */
    get parentId(): string;
    /**
     * @stability stable
     */
    set parentId(value: string);
    /**
     * @stability stable
     */
    get parentIdInput(): string;
    /**
     * @stability stable
     */
    get path(): string;
    private _pathPart;
    /**
     * @stability stable
     */
    get pathPart(): string;
    /**
     * @stability stable
     */
    set pathPart(value: string);
    /**
     * @stability stable
     */
    get pathPartInput(): string;
    private _restApiId;
    /**
     * @stability stable
     */
    get restApiId(): string;
    /**
     * @stability stable
     */
    set restApiId(value: string);
    /**
     * @stability stable
     */
    get restApiIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
