import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface AppCookieStickinessPolicyConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly cookieName: string;
    /**
     * @stability stable
     */
    readonly lbPort: number;
    /**
     * @stability stable
     */
    readonly loadBalancer: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export declare class AppCookieStickinessPolicy extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppCookieStickinessPolicyConfig);
    private _cookieName;
    /**
     * @stability stable
     */
    get cookieName(): string;
    /**
     * @stability stable
     */
    set cookieName(value: string);
    /**
     * @stability stable
     */
    get cookieNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _lbPort;
    /**
     * @stability stable
     */
    get lbPort(): number;
    /**
     * @stability stable
     */
    set lbPort(value: number);
    /**
     * @stability stable
     */
    get lbPortInput(): number;
    private _loadBalancer;
    /**
     * @stability stable
     */
    get loadBalancer(): string;
    /**
     * @stability stable
     */
    set loadBalancer(value: string);
    /**
     * @stability stable
     */
    get loadBalancerInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
