import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface AppautoscalingScheduledActionConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly endTime?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceId: string;
    /**
     * @stability stable
     */
    readonly scalableDimension?: string;
    /**
     * @stability stable
     */
    readonly schedule?: string;
    /**
     * @stability stable
     */
    readonly serviceNamespace: string;
    /**
     * @stability stable
     */
    readonly startTime?: string;
    /**
     * scalable_target_action block.
     *
     * @stability stable
     */
    readonly scalableTargetAction?: AppautoscalingScheduledActionScalableTargetAction[];
}
/**
 * @stability stable
 */
export interface AppautoscalingScheduledActionScalableTargetAction {
    /**
     * @stability stable
     */
    readonly maxCapacity?: number;
    /**
     * @stability stable
     */
    readonly minCapacity?: number;
}
/**
 * @stability stable
 */
export declare class AppautoscalingScheduledAction extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppautoscalingScheduledActionConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _endTime?;
    /**
     * @stability stable
     */
    get endTime(): string;
    /**
     * @stability stable
     */
    set endTime(value: string);
    /**
     * @stability stable
     */
    resetEndTime(): void;
    /**
     * @stability stable
     */
    get endTimeInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceId;
    /**
     * @stability stable
     */
    get resourceId(): string;
    /**
     * @stability stable
     */
    set resourceId(value: string);
    /**
     * @stability stable
     */
    get resourceIdInput(): string;
    private _scalableDimension?;
    /**
     * @stability stable
     */
    get scalableDimension(): string;
    /**
     * @stability stable
     */
    set scalableDimension(value: string);
    /**
     * @stability stable
     */
    resetScalableDimension(): void;
    /**
     * @stability stable
     */
    get scalableDimensionInput(): string | undefined;
    private _schedule?;
    /**
     * @stability stable
     */
    get schedule(): string;
    /**
     * @stability stable
     */
    set schedule(value: string);
    /**
     * @stability stable
     */
    resetSchedule(): void;
    /**
     * @stability stable
     */
    get scheduleInput(): string | undefined;
    private _serviceNamespace;
    /**
     * @stability stable
     */
    get serviceNamespace(): string;
    /**
     * @stability stable
     */
    set serviceNamespace(value: string);
    /**
     * @stability stable
     */
    get serviceNamespaceInput(): string;
    private _startTime?;
    /**
     * @stability stable
     */
    get startTime(): string;
    /**
     * @stability stable
     */
    set startTime(value: string);
    /**
     * @stability stable
     */
    resetStartTime(): void;
    /**
     * @stability stable
     */
    get startTimeInput(): string | undefined;
    private _scalableTargetAction?;
    /**
     * @stability stable
     */
    get scalableTargetAction(): AppautoscalingScheduledActionScalableTargetAction[];
    /**
     * @stability stable
     */
    set scalableTargetAction(value: AppautoscalingScheduledActionScalableTargetAction[]);
    /**
     * @stability stable
     */
    resetScalableTargetAction(): void;
    /**
     * @stability stable
     */
    get scalableTargetActionInput(): AppautoscalingScheduledActionScalableTargetAction[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
