import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface AppmeshRouteConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly meshName: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly virtualRouterName: string;
    /**
     * spec block.
     *
     * @stability stable
     */
    readonly spec: AppmeshRouteSpec[];
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecHttpRouteActionWeightedTarget {
    /**
     * @stability stable
     */
    readonly virtualNode: string;
    /**
     * @stability stable
     */
    readonly weight: number;
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecHttpRouteAction {
    /**
     * weighted_target block.
     *
     * @stability stable
     */
    readonly weightedTarget: AppmeshRouteSpecHttpRouteActionWeightedTarget[];
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecHttpRouteMatchHeaderMatchRange {
    /**
     * @stability stable
     */
    readonly end: number;
    /**
     * @stability stable
     */
    readonly start: number;
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecHttpRouteMatchHeaderMatch {
    /**
     * @stability stable
     */
    readonly exact?: string;
    /**
     * @stability stable
     */
    readonly prefix?: string;
    /**
     * @stability stable
     */
    readonly regex?: string;
    /**
     * @stability stable
     */
    readonly suffix?: string;
    /**
     * range block.
     *
     * @stability stable
     */
    readonly range?: AppmeshRouteSpecHttpRouteMatchHeaderMatchRange[];
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecHttpRouteMatchHeader {
    /**
     * @stability stable
     */
    readonly invert?: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * match block.
     *
     * @stability stable
     */
    readonly match?: AppmeshRouteSpecHttpRouteMatchHeaderMatch[];
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecHttpRouteMatch {
    /**
     * @stability stable
     */
    readonly method?: string;
    /**
     * @stability stable
     */
    readonly prefix: string;
    /**
     * @stability stable
     */
    readonly scheme?: string;
    /**
     * header block.
     *
     * @stability stable
     */
    readonly header?: AppmeshRouteSpecHttpRouteMatchHeader[];
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecHttpRoute {
    /**
     * action block.
     *
     * @stability stable
     */
    readonly action: AppmeshRouteSpecHttpRouteAction[];
    /**
     * match block.
     *
     * @stability stable
     */
    readonly match: AppmeshRouteSpecHttpRouteMatch[];
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecTcpRouteActionWeightedTarget {
    /**
     * @stability stable
     */
    readonly virtualNode: string;
    /**
     * @stability stable
     */
    readonly weight: number;
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecTcpRouteAction {
    /**
     * weighted_target block.
     *
     * @stability stable
     */
    readonly weightedTarget: AppmeshRouteSpecTcpRouteActionWeightedTarget[];
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpecTcpRoute {
    /**
     * action block.
     *
     * @stability stable
     */
    readonly action: AppmeshRouteSpecTcpRouteAction[];
}
/**
 * @stability stable
 */
export interface AppmeshRouteSpec {
    /**
     * @stability stable
     */
    readonly priority?: number;
    /**
     * http_route block.
     *
     * @stability stable
     */
    readonly httpRoute?: AppmeshRouteSpecHttpRoute[];
    /**
     * tcp_route block.
     *
     * @stability stable
     */
    readonly tcpRoute?: AppmeshRouteSpecTcpRoute[];
}
/**
 * @stability stable
 */
export declare class AppmeshRoute extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: AppmeshRouteConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get createdDate(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get lastUpdatedDate(): string;
    private _meshName;
    /**
     * @stability stable
     */
    get meshName(): string;
    /**
     * @stability stable
     */
    set meshName(value: string);
    /**
     * @stability stable
     */
    get meshNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _virtualRouterName;
    /**
     * @stability stable
     */
    get virtualRouterName(): string;
    /**
     * @stability stable
     */
    set virtualRouterName(value: string);
    /**
     * @stability stable
     */
    get virtualRouterNameInput(): string;
    private _spec;
    /**
     * @stability stable
     */
    get spec(): AppmeshRouteSpec[];
    /**
     * @stability stable
     */
    set spec(value: AppmeshRouteSpec[]);
    /**
     * @stability stable
     */
    get specInput(): AppmeshRouteSpec[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
