import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface BackupPlanConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * rule block.
     *
     * @stability stable
     */
    readonly rule: BackupPlanRule[];
}
/**
 * @stability stable
 */
export interface BackupPlanRuleCopyActionLifecycle {
    /**
     * @stability stable
     */
    readonly coldStorageAfter?: number;
    /**
     * @stability stable
     */
    readonly deleteAfter?: number;
}
/**
 * @stability stable
 */
export interface BackupPlanRuleCopyAction {
    /**
     * @stability stable
     */
    readonly destinationVaultArn: string;
    /**
     * lifecycle block.
     *
     * @stability stable
     */
    readonly lifecycle?: BackupPlanRuleCopyActionLifecycle[];
}
/**
 * @stability stable
 */
export interface BackupPlanRuleLifecycle {
    /**
     * @stability stable
     */
    readonly coldStorageAfter?: number;
    /**
     * @stability stable
     */
    readonly deleteAfter?: number;
}
/**
 * @stability stable
 */
export interface BackupPlanRule {
    /**
     * @stability stable
     */
    readonly completionWindow?: number;
    /**
     * @stability stable
     */
    readonly recoveryPointTags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly ruleName: string;
    /**
     * @stability stable
     */
    readonly schedule?: string;
    /**
     * @stability stable
     */
    readonly startWindow?: number;
    /**
     * @stability stable
     */
    readonly targetVaultName: string;
    /**
     * copy_action block.
     *
     * @stability stable
     */
    readonly copyAction?: BackupPlanRuleCopyAction[];
    /**
     * lifecycle block.
     *
     * @stability stable
     */
    readonly lifecycle?: BackupPlanRuleLifecycle[];
}
/**
 * @stability stable
 */
export declare class BackupPlan extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BackupPlanConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get version(): string;
    private _rule;
    /**
     * @stability stable
     */
    get rule(): BackupPlanRule[];
    /**
     * @stability stable
     */
    set rule(value: BackupPlanRule[]);
    /**
     * @stability stable
     */
    get ruleInput(): BackupPlanRule[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
