import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface BatchJobQueueConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly computeEnvironments: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority: number;
    /**
     * @stability stable
     */
    readonly state: string;
}
/**
 * @stability stable
 */
export declare class BatchJobQueue extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BatchJobQueueConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _computeEnvironments;
    /**
     * @stability stable
     */
    get computeEnvironments(): string[];
    /**
     * @stability stable
     */
    set computeEnvironments(value: string[]);
    /**
     * @stability stable
     */
    get computeEnvironmentsInput(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _priority;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    set priority(value: number);
    /**
     * @stability stable
     */
    get priorityInput(): number;
    private _state;
    /**
     * @stability stable
     */
    get state(): string;
    /**
     * @stability stable
     */
    set state(value: string);
    /**
     * @stability stable
     */
    get stateInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
