import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface CloudwatchDashboardConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dashboardBody: string;
    /**
     * @stability stable
     */
    readonly dashboardName: string;
}
/**
 * @stability stable
 */
export declare class CloudwatchDashboard extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CloudwatchDashboardConfig);
    /**
     * @stability stable
     */
    get dashboardArn(): string;
    private _dashboardBody;
    /**
     * @stability stable
     */
    get dashboardBody(): string;
    /**
     * @stability stable
     */
    set dashboardBody(value: string);
    /**
     * @stability stable
     */
    get dashboardBodyInput(): string;
    private _dashboardName;
    /**
     * @stability stable
     */
    get dashboardName(): string;
    /**
     * @stability stable
     */
    set dashboardName(value: string);
    /**
     * @stability stable
     */
    get dashboardNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
