import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface CloudwatchLogDestinationPolicyConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accessPolicy: string;
    /**
     * @stability stable
     */
    readonly destinationName: string;
}
/**
 * @stability stable
 */
export declare class CloudwatchLogDestinationPolicy extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CloudwatchLogDestinationPolicyConfig);
    private _accessPolicy;
    /**
     * @stability stable
     */
    get accessPolicy(): string;
    /**
     * @stability stable
     */
    set accessPolicy(value: string);
    /**
     * @stability stable
     */
    get accessPolicyInput(): string;
    private _destinationName;
    /**
     * @stability stable
     */
    get destinationName(): string;
    /**
     * @stability stable
     */
    set destinationName(value: string);
    /**
     * @stability stable
     */
    get destinationNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
