import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface CloudwatchLogResourcePolicyConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly policyDocument: string;
    /**
     * @stability stable
     */
    readonly policyName: string;
}
/**
 * @stability stable
 */
export declare class CloudwatchLogResourcePolicy extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CloudwatchLogResourcePolicyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _policyDocument;
    /**
     * @stability stable
     */
    get policyDocument(): string;
    /**
     * @stability stable
     */
    set policyDocument(value: string);
    /**
     * @stability stable
     */
    get policyDocumentInput(): string;
    private _policyName;
    /**
     * @stability stable
     */
    get policyName(): string;
    /**
     * @stability stable
     */
    set policyName(value: string);
    /**
     * @stability stable
     */
    get policyNameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
