import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface CloudwatchLogStreamConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly logGroupName: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export declare class CloudwatchLogStream extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CloudwatchLogStreamConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _logGroupName;
    /**
     * @stability stable
     */
    get logGroupName(): string;
    /**
     * @stability stable
     */
    set logGroupName(value: string);
    /**
     * @stability stable
     */
    get logGroupNameInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
