import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface CognitoUserPoolClientConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly allowedOauthFlows?: string[];
    /**
     * @stability stable
     */
    readonly allowedOauthFlowsUserPoolClient?: boolean;
    /**
     * @stability stable
     */
    readonly allowedOauthScopes?: string[];
    /**
     * @stability stable
     */
    readonly callbackUrls?: string[];
    /**
     * @stability stable
     */
    readonly defaultRedirectUri?: string;
    /**
     * @stability stable
     */
    readonly explicitAuthFlows?: string[];
    /**
     * @stability stable
     */
    readonly generateSecret?: boolean;
    /**
     * @stability stable
     */
    readonly logoutUrls?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly preventUserExistenceErrors?: string;
    /**
     * @stability stable
     */
    readonly readAttributes?: string[];
    /**
     * @stability stable
     */
    readonly refreshTokenValidity?: number;
    /**
     * @stability stable
     */
    readonly supportedIdentityProviders?: string[];
    /**
     * @stability stable
     */
    readonly userPoolId: string;
    /**
     * @stability stable
     */
    readonly writeAttributes?: string[];
    /**
     * analytics_configuration block.
     *
     * @stability stable
     */
    readonly analyticsConfiguration?: CognitoUserPoolClientAnalyticsConfiguration[];
}
/**
 * @stability stable
 */
export interface CognitoUserPoolClientAnalyticsConfiguration {
    /**
     * @stability stable
     */
    readonly applicationId: string;
    /**
     * @stability stable
     */
    readonly externalId: string;
    /**
     * @stability stable
     */
    readonly roleArn: string;
    /**
     * @stability stable
     */
    readonly userDataShared?: boolean;
}
/**
 * @stability stable
 */
export declare class CognitoUserPoolClient extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CognitoUserPoolClientConfig);
    private _allowedOauthFlows?;
    /**
     * @stability stable
     */
    get allowedOauthFlows(): string[];
    /**
     * @stability stable
     */
    set allowedOauthFlows(value: string[]);
    /**
     * @stability stable
     */
    resetAllowedOauthFlows(): void;
    /**
     * @stability stable
     */
    get allowedOauthFlowsInput(): string[] | undefined;
    private _allowedOauthFlowsUserPoolClient?;
    /**
     * @stability stable
     */
    get allowedOauthFlowsUserPoolClient(): boolean;
    /**
     * @stability stable
     */
    set allowedOauthFlowsUserPoolClient(value: boolean);
    /**
     * @stability stable
     */
    resetAllowedOauthFlowsUserPoolClient(): void;
    /**
     * @stability stable
     */
    get allowedOauthFlowsUserPoolClientInput(): boolean | undefined;
    private _allowedOauthScopes?;
    /**
     * @stability stable
     */
    get allowedOauthScopes(): string[];
    /**
     * @stability stable
     */
    set allowedOauthScopes(value: string[]);
    /**
     * @stability stable
     */
    resetAllowedOauthScopes(): void;
    /**
     * @stability stable
     */
    get allowedOauthScopesInput(): string[] | undefined;
    private _callbackUrls?;
    /**
     * @stability stable
     */
    get callbackUrls(): string[];
    /**
     * @stability stable
     */
    set callbackUrls(value: string[]);
    /**
     * @stability stable
     */
    resetCallbackUrls(): void;
    /**
     * @stability stable
     */
    get callbackUrlsInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get clientSecret(): string;
    private _defaultRedirectUri?;
    /**
     * @stability stable
     */
    get defaultRedirectUri(): string;
    /**
     * @stability stable
     */
    set defaultRedirectUri(value: string);
    /**
     * @stability stable
     */
    resetDefaultRedirectUri(): void;
    /**
     * @stability stable
     */
    get defaultRedirectUriInput(): string | undefined;
    private _explicitAuthFlows?;
    /**
     * @stability stable
     */
    get explicitAuthFlows(): string[];
    /**
     * @stability stable
     */
    set explicitAuthFlows(value: string[]);
    /**
     * @stability stable
     */
    resetExplicitAuthFlows(): void;
    /**
     * @stability stable
     */
    get explicitAuthFlowsInput(): string[] | undefined;
    private _generateSecret?;
    /**
     * @stability stable
     */
    get generateSecret(): boolean;
    /**
     * @stability stable
     */
    set generateSecret(value: boolean);
    /**
     * @stability stable
     */
    resetGenerateSecret(): void;
    /**
     * @stability stable
     */
    get generateSecretInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _logoutUrls?;
    /**
     * @stability stable
     */
    get logoutUrls(): string[];
    /**
     * @stability stable
     */
    set logoutUrls(value: string[]);
    /**
     * @stability stable
     */
    resetLogoutUrls(): void;
    /**
     * @stability stable
     */
    get logoutUrlsInput(): string[] | undefined;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _preventUserExistenceErrors?;
    /**
     * @stability stable
     */
    get preventUserExistenceErrors(): string;
    /**
     * @stability stable
     */
    set preventUserExistenceErrors(value: string);
    /**
     * @stability stable
     */
    resetPreventUserExistenceErrors(): void;
    /**
     * @stability stable
     */
    get preventUserExistenceErrorsInput(): string | undefined;
    private _readAttributes?;
    /**
     * @stability stable
     */
    get readAttributes(): string[];
    /**
     * @stability stable
     */
    set readAttributes(value: string[]);
    /**
     * @stability stable
     */
    resetReadAttributes(): void;
    /**
     * @stability stable
     */
    get readAttributesInput(): string[] | undefined;
    private _refreshTokenValidity?;
    /**
     * @stability stable
     */
    get refreshTokenValidity(): number;
    /**
     * @stability stable
     */
    set refreshTokenValidity(value: number);
    /**
     * @stability stable
     */
    resetRefreshTokenValidity(): void;
    /**
     * @stability stable
     */
    get refreshTokenValidityInput(): number | undefined;
    private _supportedIdentityProviders?;
    /**
     * @stability stable
     */
    get supportedIdentityProviders(): string[];
    /**
     * @stability stable
     */
    set supportedIdentityProviders(value: string[]);
    /**
     * @stability stable
     */
    resetSupportedIdentityProviders(): void;
    /**
     * @stability stable
     */
    get supportedIdentityProvidersInput(): string[] | undefined;
    private _userPoolId;
    /**
     * @stability stable
     */
    get userPoolId(): string;
    /**
     * @stability stable
     */
    set userPoolId(value: string);
    /**
     * @stability stable
     */
    get userPoolIdInput(): string;
    private _writeAttributes?;
    /**
     * @stability stable
     */
    get writeAttributes(): string[];
    /**
     * @stability stable
     */
    set writeAttributes(value: string[]);
    /**
     * @stability stable
     */
    resetWriteAttributes(): void;
    /**
     * @stability stable
     */
    get writeAttributesInput(): string[] | undefined;
    private _analyticsConfiguration?;
    /**
     * @stability stable
     */
    get analyticsConfiguration(): CognitoUserPoolClientAnalyticsConfiguration[];
    /**
     * @stability stable
     */
    set analyticsConfiguration(value: CognitoUserPoolClientAnalyticsConfiguration[]);
    /**
     * @stability stable
     */
    resetAnalyticsConfiguration(): void;
    /**
     * @stability stable
     */
    get analyticsConfigurationInput(): CognitoUserPoolClientAnalyticsConfiguration[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
