import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface CurReportDefinitionConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly additionalArtifacts?: string[];
    /**
     * @stability stable
     */
    readonly additionalSchemaElements: string[];
    /**
     * @stability stable
     */
    readonly compression: string;
    /**
     * @stability stable
     */
    readonly format: string;
    /**
     * @stability stable
     */
    readonly reportName: string;
    /**
     * @stability stable
     */
    readonly s3Bucket: string;
    /**
     * @stability stable
     */
    readonly s3Prefix?: string;
    /**
     * @stability stable
     */
    readonly s3Region: string;
    /**
     * @stability stable
     */
    readonly timeUnit: string;
}
/**
 * @stability stable
 */
export declare class CurReportDefinition extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CurReportDefinitionConfig);
    private _additionalArtifacts?;
    /**
     * @stability stable
     */
    get additionalArtifacts(): string[];
    /**
     * @stability stable
     */
    set additionalArtifacts(value: string[]);
    /**
     * @stability stable
     */
    resetAdditionalArtifacts(): void;
    /**
     * @stability stable
     */
    get additionalArtifactsInput(): string[] | undefined;
    private _additionalSchemaElements;
    /**
     * @stability stable
     */
    get additionalSchemaElements(): string[];
    /**
     * @stability stable
     */
    set additionalSchemaElements(value: string[]);
    /**
     * @stability stable
     */
    get additionalSchemaElementsInput(): string[];
    private _compression;
    /**
     * @stability stable
     */
    get compression(): string;
    /**
     * @stability stable
     */
    set compression(value: string);
    /**
     * @stability stable
     */
    get compressionInput(): string;
    private _format;
    /**
     * @stability stable
     */
    get format(): string;
    /**
     * @stability stable
     */
    set format(value: string);
    /**
     * @stability stable
     */
    get formatInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _reportName;
    /**
     * @stability stable
     */
    get reportName(): string;
    /**
     * @stability stable
     */
    set reportName(value: string);
    /**
     * @stability stable
     */
    get reportNameInput(): string;
    private _s3Bucket;
    /**
     * @stability stable
     */
    get s3Bucket(): string;
    /**
     * @stability stable
     */
    set s3Bucket(value: string);
    /**
     * @stability stable
     */
    get s3BucketInput(): string;
    private _s3Prefix?;
    /**
     * @stability stable
     */
    get s3Prefix(): string;
    /**
     * @stability stable
     */
    set s3Prefix(value: string);
    /**
     * @stability stable
     */
    resetS3Prefix(): void;
    /**
     * @stability stable
     */
    get s3PrefixInput(): string | undefined;
    private _s3Region;
    /**
     * @stability stable
     */
    get s3Region(): string;
    /**
     * @stability stable
     */
    set s3Region(value: string);
    /**
     * @stability stable
     */
    get s3RegionInput(): string;
    private _timeUnit;
    /**
     * @stability stable
     */
    get timeUnit(): string;
    /**
     * @stability stable
     */
    set timeUnit(value: string);
    /**
     * @stability stable
     */
    get timeUnitInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
