import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsAutoscalingGroupsConfig extends TerraformMetaArguments {
    /**
     * filter block.
     *
     * @stability stable
     */
    readonly filter?: DataAwsAutoscalingGroupsFilter[];
}
/**
 * @stability stable
 */
export interface DataAwsAutoscalingGroupsFilter {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export declare class DataAwsAutoscalingGroups extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsAutoscalingGroupsConfig);
    /**
     * @stability stable
     */
    get arns(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get names(): string[];
    private _filter?;
    /**
     * @stability stable
     */
    get filter(): DataAwsAutoscalingGroupsFilter[];
    /**
     * @stability stable
     */
    set filter(value: DataAwsAutoscalingGroupsFilter[]);
    /**
     * @stability stable
     */
    resetFilter(): void;
    /**
     * @stability stable
     */
    get filterInput(): DataAwsAutoscalingGroupsFilter[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
