import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsBackupSelectionConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly planId: string;
    /**
     * @stability stable
     */
    readonly selectionId: string;
}
/**
 * @stability stable
 */
export declare class DataAwsBackupSelection extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsBackupSelectionConfig);
    /**
     * @stability stable
     */
    get iamRoleArn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
    private _planId;
    /**
     * @stability stable
     */
    get planId(): string;
    /**
     * @stability stable
     */
    set planId(value: string);
    /**
     * @stability stable
     */
    get planIdInput(): string;
    /**
     * @stability stable
     */
    get resources(): string[];
    private _selectionId;
    /**
     * @stability stable
     */
    get selectionId(): string;
    /**
     * @stability stable
     */
    set selectionId(value: string);
    /**
     * @stability stable
     */
    get selectionIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
