import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsBatchComputeEnvironmentConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly computeEnvironmentName: string;
}
/**
 * @stability stable
 */
export declare class DataAwsBatchComputeEnvironment extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsBatchComputeEnvironmentConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _computeEnvironmentName;
    /**
     * @stability stable
     */
    get computeEnvironmentName(): string;
    /**
     * @stability stable
     */
    set computeEnvironmentName(value: string);
    /**
     * @stability stable
     */
    get computeEnvironmentNameInput(): string;
    /**
     * @stability stable
     */
    get ecsClusterArn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get serviceRole(): string;
    /**
     * @stability stable
     */
    get state(): string;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    get statusReason(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
