import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 * @stability stable
 */
export interface DataAwsCloudhsmV2ClusterConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterId: string;
    /**
     * @stability stable
     */
    readonly clusterState?: string;
}
/**
 * @stability stable
 */
export declare class DataAwsCloudhsmV2ClusterClusterCertificates extends ComplexComputedList {
    /**
     * @stability stable
     */
    get awsHardwareCertificate(): string;
    /**
     * @stability stable
     */
    get clusterCertificate(): string;
    /**
     * @stability stable
     */
    get clusterCsr(): string;
    /**
     * @stability stable
     */
    get hsmCertificate(): string;
    /**
     * @stability stable
     */
    get manufacturerHardwareCertificate(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsCloudhsmV2Cluster extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsCloudhsmV2ClusterConfig);
    /**
     * @stability stable
     */
    clusterCertificates(index: string): DataAwsCloudhsmV2ClusterClusterCertificates;
    private _clusterId;
    /**
     * @stability stable
     */
    get clusterId(): string;
    /**
     * @stability stable
     */
    set clusterId(value: string);
    /**
     * @stability stable
     */
    get clusterIdInput(): string;
    private _clusterState?;
    /**
     * @stability stable
     */
    get clusterState(): string;
    /**
     * @stability stable
     */
    set clusterState(value: string);
    /**
     * @stability stable
     */
    resetClusterState(): void;
    /**
     * @stability stable
     */
    get clusterStateInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get securityGroupId(): string;
    /**
     * @stability stable
     */
    get subnetIds(): string[];
    /**
     * @stability stable
     */
    get vpcId(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
