import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 * @stability stable
 */
export interface DataAwsEcsClusterConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterName: string;
}
/**
 * @stability stable
 */
export declare class DataAwsEcsClusterSetting extends ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsEcsCluster extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsEcsClusterConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _clusterName;
    /**
     * @stability stable
     */
    get clusterName(): string;
    /**
     * @stability stable
     */
    set clusterName(value: string);
    /**
     * @stability stable
     */
    get clusterNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get pendingTasksCount(): number;
    /**
     * @stability stable
     */
    get registeredContainerInstancesCount(): number;
    /**
     * @stability stable
     */
    get runningTasksCount(): number;
    /**
     * @stability stable
     */
    setting(index: string): DataAwsEcsClusterSetting;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
