import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsEcsServiceConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterArn: string;
    /**
     * @stability stable
     */
    readonly serviceName: string;
}
/**
 * @stability stable
 */
export declare class DataAwsEcsService extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsEcsServiceConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _clusterArn;
    /**
     * @stability stable
     */
    get clusterArn(): string;
    /**
     * @stability stable
     */
    set clusterArn(value: string);
    /**
     * @stability stable
     */
    get clusterArnInput(): string;
    /**
     * @stability stable
     */
    get desiredCount(): number;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get launchType(): string;
    /**
     * @stability stable
     */
    get schedulingStrategy(): string;
    private _serviceName;
    /**
     * @stability stable
     */
    get serviceName(): string;
    /**
     * @stability stable
     */
    set serviceName(value: string);
    /**
     * @stability stable
     */
    get serviceNameInput(): string;
    /**
     * @stability stable
     */
    get taskDefinition(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
