import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsEcsTaskDefinitionConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly taskDefinition: string;
}
/**
 * @stability stable
 */
export declare class DataAwsEcsTaskDefinition extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsEcsTaskDefinitionConfig);
    /**
     * @stability stable
     */
    get family(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get networkMode(): string;
    /**
     * @stability stable
     */
    get revision(): number;
    /**
     * @stability stable
     */
    get status(): string;
    private _taskDefinition;
    /**
     * @stability stable
     */
    get taskDefinition(): string;
    /**
     * @stability stable
     */
    set taskDefinition(value: string);
    /**
     * @stability stable
     */
    get taskDefinitionInput(): string;
    /**
     * @stability stable
     */
    get taskRoleArn(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
