import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 * @stability stable
 */
export interface DataAwsElasticBeanstalkApplicationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export declare class DataAwsElasticBeanstalkApplicationAppversionLifecycle extends ComplexComputedList {
    /**
     * @stability stable
     */
    get deleteSourceFromS3(): boolean;
    /**
     * @stability stable
     */
    get maxAgeInDays(): number;
    /**
     * @stability stable
     */
    get maxCount(): number;
    /**
     * @stability stable
     */
    get serviceRole(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsElasticBeanstalkApplication extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsElasticBeanstalkApplicationConfig);
    /**
     * @stability stable
     */
    appversionLifecycle(index: string): DataAwsElasticBeanstalkApplicationAppversionLifecycle;
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
