import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsIpRangesConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly regions?: string[];
    /**
     * @stability stable
     */
    readonly services: string[];
    /**
     * @stability stable
     */
    readonly url?: string;
}
/**
 * @stability stable
 */
export declare class DataAwsIpRanges extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsIpRangesConfig);
    /**
     * @stability stable
     */
    get cidrBlocks(): string[];
    /**
     * @stability stable
     */
    get createDate(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get ipv6CidrBlocks(): string[];
    private _regions?;
    /**
     * @stability stable
     */
    get regions(): string[];
    /**
     * @stability stable
     */
    set regions(value: string[]);
    /**
     * @stability stable
     */
    resetRegions(): void;
    /**
     * @stability stable
     */
    get regionsInput(): string[] | undefined;
    private _services;
    /**
     * @stability stable
     */
    get services(): string[];
    /**
     * @stability stable
     */
    set services(value: string[]);
    /**
     * @stability stable
     */
    get servicesInput(): string[];
    /**
     * @stability stable
     */
    get syncToken(): number;
    private _url?;
    /**
     * @stability stable
     */
    get url(): string;
    /**
     * @stability stable
     */
    set url(value: string);
    /**
     * @stability stable
     */
    resetUrl(): void;
    /**
     * @stability stable
     */
    get urlInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
