import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsKmsSecretsConfig extends TerraformMetaArguments {
    /**
     * secret block.
     *
     * @stability stable
     */
    readonly secret: DataAwsKmsSecretsSecret[];
}
/**
 * @stability stable
 */
export interface DataAwsKmsSecretsSecret {
    /**
     * @stability stable
     */
    readonly context?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly grantTokens?: string[];
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly payload: string;
}
/**
 * @stability stable
 */
export declare class DataAwsKmsSecrets extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsKmsSecretsConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    plaintext(key: string): string;
    private _secret;
    /**
     * @stability stable
     */
    get secret(): DataAwsKmsSecretsSecret[];
    /**
     * @stability stable
     */
    set secret(value: DataAwsKmsSecretsSecret[]);
    /**
     * @stability stable
     */
    get secretInput(): DataAwsKmsSecretsSecret[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
