import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 * @stability stable
 */
export interface DataAwsLaunchConfigurationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export declare class DataAwsLaunchConfigurationEbsBlockDevice extends ComplexComputedList {
    /**
     * @stability stable
     */
    get deleteOnTermination(): boolean;
    /**
     * @stability stable
     */
    get deviceName(): string;
    /**
     * @stability stable
     */
    get encrypted(): boolean;
    /**
     * @stability stable
     */
    get iops(): number;
    /**
     * @stability stable
     */
    get snapshotId(): string;
    /**
     * @stability stable
     */
    get volumeSize(): number;
    /**
     * @stability stable
     */
    get volumeType(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsLaunchConfigurationEphemeralBlockDevice extends ComplexComputedList {
    /**
     * @stability stable
     */
    get deviceName(): string;
    /**
     * @stability stable
     */
    get virtualName(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsLaunchConfigurationRootBlockDevice extends ComplexComputedList {
    /**
     * @stability stable
     */
    get deleteOnTermination(): boolean;
    /**
     * @stability stable
     */
    get encrypted(): boolean;
    /**
     * @stability stable
     */
    get iops(): number;
    /**
     * @stability stable
     */
    get volumeSize(): number;
    /**
     * @stability stable
     */
    get volumeType(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsLaunchConfiguration extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsLaunchConfigurationConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get associatePublicIpAddress(): boolean;
    /**
     * @stability stable
     */
    ebsBlockDevice(index: string): DataAwsLaunchConfigurationEbsBlockDevice;
    /**
     * @stability stable
     */
    get ebsOptimized(): boolean;
    /**
     * @stability stable
     */
    get enableMonitoring(): boolean;
    /**
     * @stability stable
     */
    ephemeralBlockDevice(index: string): DataAwsLaunchConfigurationEphemeralBlockDevice;
    /**
     * @stability stable
     */
    get iamInstanceProfile(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get imageId(): string;
    /**
     * @stability stable
     */
    get instanceType(): string;
    /**
     * @stability stable
     */
    get keyName(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    get placementTenancy(): string;
    /**
     * @stability stable
     */
    rootBlockDevice(index: string): DataAwsLaunchConfigurationRootBlockDevice;
    /**
     * @stability stable
     */
    get securityGroups(): string[];
    /**
     * @stability stable
     */
    get spotPrice(): string;
    /**
     * @stability stable
     */
    get userData(): string;
    /**
     * @stability stable
     */
    get vpcClassicLinkId(): string;
    /**
     * @stability stable
     */
    get vpcClassicLinkSecurityGroups(): string[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
