import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsOutpostsOutpostsConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly availabilityZone?: string;
    /**
     * @stability stable
     */
    readonly availabilityZoneId?: string;
    /**
     * @stability stable
     */
    readonly siteId?: string;
}
/**
 * @stability stable
 */
export declare class DataAwsOutpostsOutposts extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsOutpostsOutpostsConfig);
    /**
     * @stability stable
     */
    get arns(): string[];
    private _availabilityZone?;
    /**
     * @stability stable
     */
    get availabilityZone(): string;
    /**
     * @stability stable
     */
    set availabilityZone(value: string);
    /**
     * @stability stable
     */
    resetAvailabilityZone(): void;
    /**
     * @stability stable
     */
    get availabilityZoneInput(): string | undefined;
    private _availabilityZoneId?;
    /**
     * @stability stable
     */
    get availabilityZoneId(): string;
    /**
     * @stability stable
     */
    set availabilityZoneId(value: string);
    /**
     * @stability stable
     */
    resetAvailabilityZoneId(): void;
    /**
     * @stability stable
     */
    get availabilityZoneIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get ids(): string[];
    private _siteId?;
    /**
     * @stability stable
     */
    get siteId(): string;
    /**
     * @stability stable
     */
    set siteId(value: string);
    /**
     * @stability stable
     */
    resetSiteId(): void;
    /**
     * @stability stable
     */
    get siteIdInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
