import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsPricingProductConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly serviceCode: string;
    /**
     * filters block.
     *
     * @stability stable
     */
    readonly filters: DataAwsPricingProductFilters[];
}
/**
 * @stability stable
 */
export interface DataAwsPricingProductFilters {
    /**
     * @stability stable
     */
    readonly field: string;
    /**
     * @stability stable
     */
    readonly value: string;
}
/**
 * @stability stable
 */
export declare class DataAwsPricingProduct extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsPricingProductConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get result(): string;
    private _serviceCode;
    /**
     * @stability stable
     */
    get serviceCode(): string;
    /**
     * @stability stable
     */
    set serviceCode(value: string);
    /**
     * @stability stable
     */
    get serviceCodeInput(): string;
    private _filters;
    /**
     * @stability stable
     */
    get filters(): DataAwsPricingProductFilters[];
    /**
     * @stability stable
     */
    set filters(value: DataAwsPricingProductFilters[]);
    /**
     * @stability stable
     */
    get filtersInput(): DataAwsPricingProductFilters[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
