import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsRegionConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly current?: boolean;
    /**
     * @stability stable
     */
    readonly endpoint?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
}
/**
 * @stability stable
 */
export declare class DataAwsRegion extends TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsRegionConfig);
    private _current?;
    /**
     * @stability stable
     */
    get current(): boolean;
    /**
     * @stability stable
     */
    set current(value: boolean);
    /**
     * @stability stable
     */
    resetCurrent(): void;
    /**
     * @stability stable
     */
    get currentInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get description(): string;
    private _endpoint?;
    /**
     * @stability stable
     */
    get endpoint(): string;
    /**
     * @stability stable
     */
    set endpoint(value: string);
    /**
     * @stability stable
     */
    resetEndpoint(): void;
    /**
     * @stability stable
     */
    get endpointInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
