import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface DmsCertificateConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly certificateId: string;
    /**
     * @stability stable
     */
    readonly certificatePem?: string;
    /**
     * @stability stable
     */
    readonly certificateWallet?: string;
}
/**
 * @stability stable
 */
export declare class DmsCertificate extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DmsCertificateConfig);
    /**
     * @stability stable
     */
    get certificateArn(): string;
    private _certificateId;
    /**
     * @stability stable
     */
    get certificateId(): string;
    /**
     * @stability stable
     */
    set certificateId(value: string);
    /**
     * @stability stable
     */
    get certificateIdInput(): string;
    private _certificatePem?;
    /**
     * @stability stable
     */
    get certificatePem(): string;
    /**
     * @stability stable
     */
    set certificatePem(value: string);
    /**
     * @stability stable
     */
    resetCertificatePem(): void;
    /**
     * @stability stable
     */
    get certificatePemInput(): string | undefined;
    private _certificateWallet?;
    /**
     * @stability stable
     */
    get certificateWallet(): string;
    /**
     * @stability stable
     */
    set certificateWallet(value: string);
    /**
     * @stability stable
     */
    resetCertificateWallet(): void;
    /**
     * @stability stable
     */
    get certificateWalletInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
