import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface Ec2ClientVpnNetworkAssociationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clientVpnEndpointId: string;
    /**
     * @stability stable
     */
    readonly subnetId: string;
}
/**
 * @stability stable
 */
export declare class Ec2ClientVpnNetworkAssociation extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Ec2ClientVpnNetworkAssociationConfig);
    private _clientVpnEndpointId;
    /**
     * @stability stable
     */
    get clientVpnEndpointId(): string;
    /**
     * @stability stable
     */
    set clientVpnEndpointId(value: string);
    /**
     * @stability stable
     */
    get clientVpnEndpointIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get securityGroups(): string[];
    /**
     * @stability stable
     */
    get status(): string;
    private _subnetId;
    /**
     * @stability stable
     */
    get subnetId(): string;
    /**
     * @stability stable
     */
    set subnetId(value: string);
    /**
     * @stability stable
     */
    get subnetIdInput(): string;
    /**
     * @stability stable
     */
    get vpcId(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
