import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface Ec2LocalGatewayRouteTableVpcAssociationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly localGatewayRouteTableId: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly vpcId: string;
}
/**
 * @stability stable
 */
export declare class Ec2LocalGatewayRouteTableVpcAssociation extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Ec2LocalGatewayRouteTableVpcAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get localGatewayId(): string;
    private _localGatewayRouteTableId;
    /**
     * @stability stable
     */
    get localGatewayRouteTableId(): string;
    /**
     * @stability stable
     */
    set localGatewayRouteTableId(value: string);
    /**
     * @stability stable
     */
    get localGatewayRouteTableIdInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _vpcId;
    /**
     * @stability stable
     */
    get vpcId(): string;
    /**
     * @stability stable
     */
    set vpcId(value: string);
    /**
     * @stability stable
     */
    get vpcIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
