import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface Ec2TransitGatewayRouteTableConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly transitGatewayId: string;
}
/**
 * @stability stable
 */
export declare class Ec2TransitGatewayRouteTable extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Ec2TransitGatewayRouteTableConfig);
    /**
     * @stability stable
     */
    get defaultAssociationRouteTable(): boolean;
    /**
     * @stability stable
     */
    get defaultPropagationRouteTable(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _transitGatewayId;
    /**
     * @stability stable
     */
    get transitGatewayId(): string;
    /**
     * @stability stable
     */
    set transitGatewayId(value: string);
    /**
     * @stability stable
     */
    get transitGatewayIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
