import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface ElbAttachmentConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly elb: string;
    /**
     * @stability stable
     */
    readonly instance: string;
}
/**
 * @stability stable
 */
export declare class ElbAttachment extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ElbAttachmentConfig);
    private _elb;
    /**
     * @stability stable
     */
    get elb(): string;
    /**
     * @stability stable
     */
    set elb(value: string);
    /**
     * @stability stable
     */
    get elbInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _instance;
    /**
     * @stability stable
     */
    get instance(): string;
    /**
     * @stability stable
     */
    set instance(value: string);
    /**
     * @stability stable
     */
    get instanceInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
