import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 * @stability stable
 */
export interface GlobalacceleratorAcceleratorConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly enabled?: boolean;
    /**
     * @stability stable
     */
    readonly ipAddressType?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * attributes block.
     *
     * @stability stable
     */
    readonly attributes?: GlobalacceleratorAcceleratorAttributes[];
}
/**
 * @stability stable
 */
export declare class GlobalacceleratorAcceleratorIpSets extends ComplexComputedList {
    /**
     * @stability stable
     */
    get ipAddresses(): string[];
    /**
     * @stability stable
     */
    get ipFamily(): string;
}
/**
 * @stability stable
 */
export interface GlobalacceleratorAcceleratorAttributes {
    /**
     * @stability stable
     */
    readonly flowLogsEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly flowLogsS3Bucket?: string;
    /**
     * @stability stable
     */
    readonly flowLogsS3Prefix?: string;
}
/**
 * @stability stable
 */
export declare class GlobalacceleratorAccelerator extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: GlobalacceleratorAcceleratorConfig);
    /**
     * @stability stable
     */
    get dnsName(): string;
    private _enabled?;
    /**
     * @stability stable
     */
    get enabled(): boolean;
    /**
     * @stability stable
     */
    set enabled(value: boolean);
    /**
     * @stability stable
     */
    resetEnabled(): void;
    /**
     * @stability stable
     */
    get enabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get hostedZoneId(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _ipAddressType?;
    /**
     * @stability stable
     */
    get ipAddressType(): string;
    /**
     * @stability stable
     */
    set ipAddressType(value: string);
    /**
     * @stability stable
     */
    resetIpAddressType(): void;
    /**
     * @stability stable
     */
    get ipAddressTypeInput(): string | undefined;
    /**
     * @stability stable
     */
    ipSets(index: string): GlobalacceleratorAcceleratorIpSets;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _attributes?;
    /**
     * @stability stable
     */
    get attributes(): GlobalacceleratorAcceleratorAttributes[];
    /**
     * @stability stable
     */
    set attributes(value: GlobalacceleratorAcceleratorAttributes[]);
    /**
     * @stability stable
     */
    resetAttributes(): void;
    /**
     * @stability stable
     */
    get attributesInput(): GlobalacceleratorAcceleratorAttributes[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
