import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface GlobalacceleratorEndpointGroupConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly endpointGroupRegion?: string;
    /**
     * @stability stable
     */
    readonly healthCheckIntervalSeconds?: number;
    /**
     * @stability stable
     */
    readonly healthCheckPath?: string;
    /**
     * @stability stable
     */
    readonly healthCheckPort?: number;
    /**
     * @stability stable
     */
    readonly healthCheckProtocol?: string;
    /**
     * @stability stable
     */
    readonly listenerArn: string;
    /**
     * @stability stable
     */
    readonly thresholdCount?: number;
    /**
     * @stability stable
     */
    readonly trafficDialPercentage?: number;
    /**
     * endpoint_configuration block.
     *
     * @stability stable
     */
    readonly endpointConfiguration?: GlobalacceleratorEndpointGroupEndpointConfiguration[];
}
/**
 * @stability stable
 */
export interface GlobalacceleratorEndpointGroupEndpointConfiguration {
    /**
     * @stability stable
     */
    readonly endpointId?: string;
    /**
     * @stability stable
     */
    readonly weight?: number;
}
/**
 * @stability stable
 */
export declare class GlobalacceleratorEndpointGroup extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: GlobalacceleratorEndpointGroupConfig);
    private _endpointGroupRegion?;
    /**
     * @stability stable
     */
    get endpointGroupRegion(): string;
    /**
     * @stability stable
     */
    set endpointGroupRegion(value: string);
    /**
     * @stability stable
     */
    resetEndpointGroupRegion(): void;
    /**
     * @stability stable
     */
    get endpointGroupRegionInput(): string | undefined;
    private _healthCheckIntervalSeconds?;
    /**
     * @stability stable
     */
    get healthCheckIntervalSeconds(): number;
    /**
     * @stability stable
     */
    set healthCheckIntervalSeconds(value: number);
    /**
     * @stability stable
     */
    resetHealthCheckIntervalSeconds(): void;
    /**
     * @stability stable
     */
    get healthCheckIntervalSecondsInput(): number | undefined;
    private _healthCheckPath?;
    /**
     * @stability stable
     */
    get healthCheckPath(): string;
    /**
     * @stability stable
     */
    set healthCheckPath(value: string);
    /**
     * @stability stable
     */
    resetHealthCheckPath(): void;
    /**
     * @stability stable
     */
    get healthCheckPathInput(): string | undefined;
    private _healthCheckPort?;
    /**
     * @stability stable
     */
    get healthCheckPort(): number;
    /**
     * @stability stable
     */
    set healthCheckPort(value: number);
    /**
     * @stability stable
     */
    resetHealthCheckPort(): void;
    /**
     * @stability stable
     */
    get healthCheckPortInput(): number | undefined;
    private _healthCheckProtocol?;
    /**
     * @stability stable
     */
    get healthCheckProtocol(): string;
    /**
     * @stability stable
     */
    set healthCheckProtocol(value: string);
    /**
     * @stability stable
     */
    resetHealthCheckProtocol(): void;
    /**
     * @stability stable
     */
    get healthCheckProtocolInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _listenerArn;
    /**
     * @stability stable
     */
    get listenerArn(): string;
    /**
     * @stability stable
     */
    set listenerArn(value: string);
    /**
     * @stability stable
     */
    get listenerArnInput(): string;
    private _thresholdCount?;
    /**
     * @stability stable
     */
    get thresholdCount(): number;
    /**
     * @stability stable
     */
    set thresholdCount(value: number);
    /**
     * @stability stable
     */
    resetThresholdCount(): void;
    /**
     * @stability stable
     */
    get thresholdCountInput(): number | undefined;
    private _trafficDialPercentage?;
    /**
     * @stability stable
     */
    get trafficDialPercentage(): number;
    /**
     * @stability stable
     */
    set trafficDialPercentage(value: number);
    /**
     * @stability stable
     */
    resetTrafficDialPercentage(): void;
    /**
     * @stability stable
     */
    get trafficDialPercentageInput(): number | undefined;
    private _endpointConfiguration?;
    /**
     * @stability stable
     */
    get endpointConfiguration(): GlobalacceleratorEndpointGroupEndpointConfiguration[];
    /**
     * @stability stable
     */
    set endpointConfiguration(value: GlobalacceleratorEndpointGroupEndpointConfiguration[]);
    /**
     * @stability stable
     */
    resetEndpointConfiguration(): void;
    /**
     * @stability stable
     */
    get endpointConfigurationInput(): GlobalacceleratorEndpointGroupEndpointConfiguration[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
