import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface GlobalacceleratorListenerConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly acceleratorArn: string;
    /**
     * @stability stable
     */
    readonly clientAffinity?: string;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * port_range block.
     *
     * @stability stable
     */
    readonly portRange: GlobalacceleratorListenerPortRange[];
}
/**
 * @stability stable
 */
export interface GlobalacceleratorListenerPortRange {
    /**
     * @stability stable
     */
    readonly fromPort?: number;
    /**
     * @stability stable
     */
    readonly toPort?: number;
}
/**
 * @stability stable
 */
export declare class GlobalacceleratorListener extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: GlobalacceleratorListenerConfig);
    private _acceleratorArn;
    /**
     * @stability stable
     */
    get acceleratorArn(): string;
    /**
     * @stability stable
     */
    set acceleratorArn(value: string);
    /**
     * @stability stable
     */
    get acceleratorArnInput(): string;
    private _clientAffinity?;
    /**
     * @stability stable
     */
    get clientAffinity(): string;
    /**
     * @stability stable
     */
    set clientAffinity(value: string);
    /**
     * @stability stable
     */
    resetClientAffinity(): void;
    /**
     * @stability stable
     */
    get clientAffinityInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _protocol;
    /**
     * @stability stable
     */
    get protocol(): string;
    /**
     * @stability stable
     */
    set protocol(value: string);
    /**
     * @stability stable
     */
    get protocolInput(): string;
    private _portRange;
    /**
     * @stability stable
     */
    get portRange(): GlobalacceleratorListenerPortRange[];
    /**
     * @stability stable
     */
    set portRange(value: GlobalacceleratorListenerPortRange[]);
    /**
     * @stability stable
     */
    get portRangeInput(): GlobalacceleratorListenerPortRange[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
