import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface GlueWorkflowConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly defaultRunProperties?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
}
/**
 * @stability stable
 */
export declare class GlueWorkflow extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: GlueWorkflowConfig);
    private _defaultRunProperties?;
    /**
     * @stability stable
     */
    get defaultRunProperties(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set defaultRunProperties(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetDefaultRunProperties(): void;
    /**
     * @stability stable
     */
    get defaultRunPropertiesInput(): {
        [key: string]: string;
    } | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
