import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface InspectorAssessmentTargetConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly resourceGroupArn?: string;
}
/**
 * @stability stable
 */
export declare class InspectorAssessmentTarget extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: InspectorAssessmentTargetConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _resourceGroupArn?;
    /**
     * @stability stable
     */
    get resourceGroupArn(): string;
    /**
     * @stability stable
     */
    set resourceGroupArn(value: string);
    /**
     * @stability stable
     */
    resetResourceGroupArn(): void;
    /**
     * @stability stable
     */
    get resourceGroupArnInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
