import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface InspectorAssessmentTemplateConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly duration: number;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly rulesPackageArns: string[];
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly targetArn: string;
}
/**
 * @stability stable
 */
export declare class InspectorAssessmentTemplate extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: InspectorAssessmentTemplateConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _duration;
    /**
     * @stability stable
     */
    get duration(): number;
    /**
     * @stability stable
     */
    set duration(value: number);
    /**
     * @stability stable
     */
    get durationInput(): number;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _rulesPackageArns;
    /**
     * @stability stable
     */
    get rulesPackageArns(): string[];
    /**
     * @stability stable
     */
    set rulesPackageArns(value: string[]);
    /**
     * @stability stable
     */
    get rulesPackageArnsInput(): string[];
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _targetArn;
    /**
     * @stability stable
     */
    get targetArn(): string;
    /**
     * @stability stable
     */
    set targetArn(value: string);
    /**
     * @stability stable
     */
    get targetArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
