import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface InspectorResourceGroupConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly tags: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class InspectorResourceGroup extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: InspectorResourceGroupConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _tags;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
