import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface LbCookieStickinessPolicyConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly cookieExpirationPeriod?: number;
    /**
     * @stability stable
     */
    readonly lbPort: number;
    /**
     * @stability stable
     */
    readonly loadBalancer: string;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export declare class LbCookieStickinessPolicy extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LbCookieStickinessPolicyConfig);
    private _cookieExpirationPeriod?;
    /**
     * @stability stable
     */
    get cookieExpirationPeriod(): number;
    /**
     * @stability stable
     */
    set cookieExpirationPeriod(value: number);
    /**
     * @stability stable
     */
    resetCookieExpirationPeriod(): void;
    /**
     * @stability stable
     */
    get cookieExpirationPeriodInput(): number | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _lbPort;
    /**
     * @stability stable
     */
    get lbPort(): number;
    /**
     * @stability stable
     */
    set lbPort(value: number);
    /**
     * @stability stable
     */
    get lbPortInput(): number;
    private _loadBalancer;
    /**
     * @stability stable
     */
    get loadBalancer(): string;
    /**
     * @stability stable
     */
    set loadBalancer(value: string);
    /**
     * @stability stable
     */
    get loadBalancerInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
