import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface LbListenerCertificateConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly certificateArn: string;
    /**
     * @stability stable
     */
    readonly listenerArn: string;
}
/**
 * @stability stable
 */
export declare class LbListenerCertificate extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LbListenerCertificateConfig);
    private _certificateArn;
    /**
     * @stability stable
     */
    get certificateArn(): string;
    /**
     * @stability stable
     */
    set certificateArn(value: string);
    /**
     * @stability stable
     */
    get certificateArnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _listenerArn;
    /**
     * @stability stable
     */
    get listenerArn(): string;
    /**
     * @stability stable
     */
    set listenerArn(value: string);
    /**
     * @stability stable
     */
    get listenerArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
