import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface NetworkInterfaceAttachmentAConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly deviceIndex: number;
    /**
     * @stability stable
     */
    readonly instanceId: string;
    /**
     * @stability stable
     */
    readonly networkInterfaceId: string;
}
/**
 * @stability stable
 */
export declare class NetworkInterfaceAttachmentA extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: NetworkInterfaceAttachmentAConfig);
    /**
     * @stability stable
     */
    get attachmentId(): string;
    private _deviceIndex;
    /**
     * @stability stable
     */
    get deviceIndex(): number;
    /**
     * @stability stable
     */
    set deviceIndex(value: number);
    /**
     * @stability stable
     */
    get deviceIndexInput(): number;
    /**
     * @stability stable
     */
    get id(): string;
    private _instanceId;
    /**
     * @stability stable
     */
    get instanceId(): string;
    /**
     * @stability stable
     */
    set instanceId(value: string);
    /**
     * @stability stable
     */
    get instanceIdInput(): string;
    private _networkInterfaceId;
    /**
     * @stability stable
     */
    get networkInterfaceId(): string;
    /**
     * @stability stable
     */
    set networkInterfaceId(value: string);
    /**
     * @stability stable
     */
    get networkInterfaceIdInput(): string;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
