import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface ProxyProtocolPolicyConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly instancePorts: string[];
    /**
     * @stability stable
     */
    readonly loadBalancer: string;
}
/**
 * @stability stable
 */
export declare class ProxyProtocolPolicy extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ProxyProtocolPolicyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _instancePorts;
    /**
     * @stability stable
     */
    get instancePorts(): string[];
    /**
     * @stability stable
     */
    set instancePorts(value: string[]);
    /**
     * @stability stable
     */
    get instancePortsInput(): string[];
    private _loadBalancer;
    /**
     * @stability stable
     */
    get loadBalancer(): string;
    /**
     * @stability stable
     */
    set loadBalancer(value: string);
    /**
     * @stability stable
     */
    get loadBalancerInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
