import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface RamPrincipalAssociationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly principal: string;
    /**
     * @stability stable
     */
    readonly resourceShareArn: string;
}
/**
 * @stability stable
 */
export declare class RamPrincipalAssociation extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RamPrincipalAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _principal;
    /**
     * @stability stable
     */
    get principal(): string;
    /**
     * @stability stable
     */
    set principal(value: string);
    /**
     * @stability stable
     */
    get principalInput(): string;
    private _resourceShareArn;
    /**
     * @stability stable
     */
    get resourceShareArn(): string;
    /**
     * @stability stable
     */
    set resourceShareArn(value: string);
    /**
     * @stability stable
     */
    get resourceShareArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
