import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface RamResourceAssociationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly resourceArn: string;
    /**
     * @stability stable
     */
    readonly resourceShareArn: string;
}
/**
 * @stability stable
 */
export declare class RamResourceAssociation extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RamResourceAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceArn;
    /**
     * @stability stable
     */
    get resourceArn(): string;
    /**
     * @stability stable
     */
    set resourceArn(value: string);
    /**
     * @stability stable
     */
    get resourceArnInput(): string;
    private _resourceShareArn;
    /**
     * @stability stable
     */
    get resourceShareArn(): string;
    /**
     * @stability stable
     */
    set resourceShareArn(value: string);
    /**
     * @stability stable
     */
    get resourceShareArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
