import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface RedshiftSecurityGroupConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * ingress block.
     *
     * @stability stable
     */
    readonly ingress: RedshiftSecurityGroupIngress[];
}
/**
 * @stability stable
 */
export interface RedshiftSecurityGroupIngress {
    /**
     * @stability stable
     */
    readonly cidr?: string;
    /**
     * @stability stable
     */
    readonly securityGroupName?: string;
    /**
     * @stability stable
     */
    readonly securityGroupOwnerId?: string;
}
/**
 * @stability stable
 */
export declare class RedshiftSecurityGroup extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RedshiftSecurityGroupConfig);
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _ingress;
    /**
     * @stability stable
     */
    get ingress(): RedshiftSecurityGroupIngress[];
    /**
     * @stability stable
     */
    set ingress(value: RedshiftSecurityGroupIngress[]);
    /**
     * @stability stable
     */
    get ingressInput(): RedshiftSecurityGroupIngress[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
