import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface RedshiftSnapshotScheduleAssociationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterIdentifier: string;
    /**
     * @stability stable
     */
    readonly scheduleIdentifier: string;
}
/**
 * @stability stable
 */
export declare class RedshiftSnapshotScheduleAssociation extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: RedshiftSnapshotScheduleAssociationConfig);
    private _clusterIdentifier;
    /**
     * @stability stable
     */
    get clusterIdentifier(): string;
    /**
     * @stability stable
     */
    set clusterIdentifier(value: string);
    /**
     * @stability stable
     */
    get clusterIdentifierInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _scheduleIdentifier;
    /**
     * @stability stable
     */
    get scheduleIdentifier(): string;
    /**
     * @stability stable
     */
    set scheduleIdentifier(value: string);
    /**
     * @stability stable
     */
    get scheduleIdentifierInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
