import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface Route53ZoneAssociationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly vpcId: string;
    /**
     * @stability stable
     */
    readonly vpcRegion?: string;
    /**
     * @stability stable
     */
    readonly zoneId: string;
}
/**
 * @stability stable
 */
export declare class Route53ZoneAssociation extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Route53ZoneAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _vpcId;
    /**
     * @stability stable
     */
    get vpcId(): string;
    /**
     * @stability stable
     */
    set vpcId(value: string);
    /**
     * @stability stable
     */
    get vpcIdInput(): string;
    private _vpcRegion?;
    /**
     * @stability stable
     */
    get vpcRegion(): string;
    /**
     * @stability stable
     */
    set vpcRegion(value: string);
    /**
     * @stability stable
     */
    resetVpcRegion(): void;
    /**
     * @stability stable
     */
    get vpcRegionInput(): string | undefined;
    private _zoneId;
    /**
     * @stability stable
     */
    get zoneId(): string;
    /**
     * @stability stable
     */
    set zoneId(value: string);
    /**
     * @stability stable
     */
    get zoneIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
