import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface SagemakerEndpointConfigurationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly kmsKeyArn?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * production_variants block.
     *
     * @stability stable
     */
    readonly productionVariants: SagemakerEndpointConfigurationProductionVariants[];
}
/**
 * @stability stable
 */
export interface SagemakerEndpointConfigurationProductionVariants {
    /**
     * @stability stable
     */
    readonly acceleratorType?: string;
    /**
     * @stability stable
     */
    readonly initialInstanceCount: number;
    /**
     * @stability stable
     */
    readonly initialVariantWeight?: number;
    /**
     * @stability stable
     */
    readonly instanceType: string;
    /**
     * @stability stable
     */
    readonly modelName: string;
    /**
     * @stability stable
     */
    readonly variantName?: string;
}
/**
 * @stability stable
 */
export declare class SagemakerEndpointConfiguration extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SagemakerEndpointConfigurationConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _kmsKeyArn?;
    /**
     * @stability stable
     */
    get kmsKeyArn(): string;
    /**
     * @stability stable
     */
    set kmsKeyArn(value: string);
    /**
     * @stability stable
     */
    resetKmsKeyArn(): void;
    /**
     * @stability stable
     */
    get kmsKeyArnInput(): string | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _productionVariants;
    /**
     * @stability stable
     */
    get productionVariants(): SagemakerEndpointConfigurationProductionVariants[];
    /**
     * @stability stable
     */
    set productionVariants(value: SagemakerEndpointConfigurationProductionVariants[]);
    /**
     * @stability stable
     */
    get productionVariantsInput(): SagemakerEndpointConfigurationProductionVariants[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
