import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityhubProductSubscriptionConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly productArn: string;
}
/**
 * @stability stable
 */
export declare class SecurityhubProductSubscription extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecurityhubProductSubscriptionConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _productArn;
    /**
     * @stability stable
     */
    get productArn(): string;
    /**
     * @stability stable
     */
    set productArn(value: string);
    /**
     * @stability stable
     */
    get productArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
