import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface SesDomainIdentityConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly domain: string;
}
/**
 * @stability stable
 */
export declare class SesDomainIdentity extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SesDomainIdentityConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _domain;
    /**
     * @stability stable
     */
    get domain(): string;
    /**
     * @stability stable
     */
    set domain(value: string);
    /**
     * @stability stable
     */
    get domainInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get verificationToken(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
