import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface SesEmailIdentityConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly email: string;
}
/**
 * @stability stable
 */
export declare class SesEmailIdentity extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SesEmailIdentityConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _email;
    /**
     * @stability stable
     */
    get email(): string;
    /**
     * @stability stable
     */
    set email(value: string);
    /**
     * @stability stable
     */
    get emailInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
