import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface SesIdentityNotificationTopicConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly identity: string;
    /**
     * @stability stable
     */
    readonly includeOriginalHeaders?: boolean;
    /**
     * @stability stable
     */
    readonly notificationType: string;
    /**
     * @stability stable
     */
    readonly topicArn?: string;
}
/**
 * @stability stable
 */
export declare class SesIdentityNotificationTopic extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SesIdentityNotificationTopicConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _identity;
    /**
     * @stability stable
     */
    get identity(): string;
    /**
     * @stability stable
     */
    set identity(value: string);
    /**
     * @stability stable
     */
    get identityInput(): string;
    private _includeOriginalHeaders?;
    /**
     * @stability stable
     */
    get includeOriginalHeaders(): boolean;
    /**
     * @stability stable
     */
    set includeOriginalHeaders(value: boolean);
    /**
     * @stability stable
     */
    resetIncludeOriginalHeaders(): void;
    /**
     * @stability stable
     */
    get includeOriginalHeadersInput(): boolean | undefined;
    private _notificationType;
    /**
     * @stability stable
     */
    get notificationType(): string;
    /**
     * @stability stable
     */
    set notificationType(value: string);
    /**
     * @stability stable
     */
    get notificationTypeInput(): string;
    private _topicArn?;
    /**
     * @stability stable
     */
    get topicArn(): string;
    /**
     * @stability stable
     */
    set topicArn(value: string);
    /**
     * @stability stable
     */
    resetTopicArn(): void;
    /**
     * @stability stable
     */
    get topicArnInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
