import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface SesIdentityPolicyConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly identity: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly policy: string;
}
/**
 * @stability stable
 */
export declare class SesIdentityPolicy extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SesIdentityPolicyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _identity;
    /**
     * @stability stable
     */
    get identity(): string;
    /**
     * @stability stable
     */
    set identity(value: string);
    /**
     * @stability stable
     */
    get identityInput(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _policy;
    /**
     * @stability stable
     */
    get policy(): string;
    /**
     * @stability stable
     */
    set policy(value: string);
    /**
     * @stability stable
     */
    get policyInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
