import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface SsmPatchBaselineConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly approvedPatches?: string[];
    /**
     * @stability stable
     */
    readonly approvedPatchesComplianceLevel?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly operatingSystem?: string;
    /**
     * @stability stable
     */
    readonly rejectedPatches?: string[];
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * approval_rule block.
     *
     * @stability stable
     */
    readonly approvalRule?: SsmPatchBaselineApprovalRule[];
    /**
     * global_filter block.
     *
     * @stability stable
     */
    readonly globalFilter?: SsmPatchBaselineGlobalFilter[];
}
/**
 * @stability stable
 */
export interface SsmPatchBaselineApprovalRulePatchFilter {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export interface SsmPatchBaselineApprovalRule {
    /**
     * @stability stable
     */
    readonly approveAfterDays: number;
    /**
     * @stability stable
     */
    readonly complianceLevel?: string;
    /**
     * @stability stable
     */
    readonly enableNonSecurity?: boolean;
    /**
     * patch_filter block.
     *
     * @stability stable
     */
    readonly patchFilter: SsmPatchBaselineApprovalRulePatchFilter[];
}
/**
 * @stability stable
 */
export interface SsmPatchBaselineGlobalFilter {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export declare class SsmPatchBaseline extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SsmPatchBaselineConfig);
    private _approvedPatches?;
    /**
     * @stability stable
     */
    get approvedPatches(): string[];
    /**
     * @stability stable
     */
    set approvedPatches(value: string[]);
    /**
     * @stability stable
     */
    resetApprovedPatches(): void;
    /**
     * @stability stable
     */
    get approvedPatchesInput(): string[] | undefined;
    private _approvedPatchesComplianceLevel?;
    /**
     * @stability stable
     */
    get approvedPatchesComplianceLevel(): string;
    /**
     * @stability stable
     */
    set approvedPatchesComplianceLevel(value: string);
    /**
     * @stability stable
     */
    resetApprovedPatchesComplianceLevel(): void;
    /**
     * @stability stable
     */
    get approvedPatchesComplianceLevelInput(): string | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _operatingSystem?;
    /**
     * @stability stable
     */
    get operatingSystem(): string;
    /**
     * @stability stable
     */
    set operatingSystem(value: string);
    /**
     * @stability stable
     */
    resetOperatingSystem(): void;
    /**
     * @stability stable
     */
    get operatingSystemInput(): string | undefined;
    private _rejectedPatches?;
    /**
     * @stability stable
     */
    get rejectedPatches(): string[];
    /**
     * @stability stable
     */
    set rejectedPatches(value: string[]);
    /**
     * @stability stable
     */
    resetRejectedPatches(): void;
    /**
     * @stability stable
     */
    get rejectedPatchesInput(): string[] | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _approvalRule?;
    /**
     * @stability stable
     */
    get approvalRule(): SsmPatchBaselineApprovalRule[];
    /**
     * @stability stable
     */
    set approvalRule(value: SsmPatchBaselineApprovalRule[]);
    /**
     * @stability stable
     */
    resetApprovalRule(): void;
    /**
     * @stability stable
     */
    get approvalRuleInput(): SsmPatchBaselineApprovalRule[] | undefined;
    private _globalFilter?;
    /**
     * @stability stable
     */
    get globalFilter(): SsmPatchBaselineGlobalFilter[];
    /**
     * @stability stable
     */
    set globalFilter(value: SsmPatchBaselineGlobalFilter[]);
    /**
     * @stability stable
     */
    resetGlobalFilter(): void;
    /**
     * @stability stable
     */
    get globalFilterInput(): SsmPatchBaselineGlobalFilter[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
