import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface StoragegatewaySmbFileShareConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly authentication?: string;
    /**
     * @stability stable
     */
    readonly defaultStorageClass?: string;
    /**
     * @stability stable
     */
    readonly gatewayArn: string;
    /**
     * @stability stable
     */
    readonly guessMimeTypeEnabled?: boolean;
    /**
     * @stability stable
     */
    readonly invalidUserList?: string[];
    /**
     * @stability stable
     */
    readonly kmsEncrypted?: boolean;
    /**
     * @stability stable
     */
    readonly kmsKeyArn?: string;
    /**
     * @stability stable
     */
    readonly locationArn: string;
    /**
     * @stability stable
     */
    readonly objectAcl?: string;
    /**
     * @stability stable
     */
    readonly readOnly?: boolean;
    /**
     * @stability stable
     */
    readonly requesterPays?: boolean;
    /**
     * @stability stable
     */
    readonly roleArn: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly validUserList?: string[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: StoragegatewaySmbFileShareTimeouts;
}
/**
 * @stability stable
 */
export interface StoragegatewaySmbFileShareTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class StoragegatewaySmbFileShare extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: StoragegatewaySmbFileShareConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _authentication?;
    /**
     * @stability stable
     */
    get authentication(): string;
    /**
     * @stability stable
     */
    set authentication(value: string);
    /**
     * @stability stable
     */
    resetAuthentication(): void;
    /**
     * @stability stable
     */
    get authenticationInput(): string | undefined;
    private _defaultStorageClass?;
    /**
     * @stability stable
     */
    get defaultStorageClass(): string;
    /**
     * @stability stable
     */
    set defaultStorageClass(value: string);
    /**
     * @stability stable
     */
    resetDefaultStorageClass(): void;
    /**
     * @stability stable
     */
    get defaultStorageClassInput(): string | undefined;
    /**
     * @stability stable
     */
    get fileshareId(): string;
    private _gatewayArn;
    /**
     * @stability stable
     */
    get gatewayArn(): string;
    /**
     * @stability stable
     */
    set gatewayArn(value: string);
    /**
     * @stability stable
     */
    get gatewayArnInput(): string;
    private _guessMimeTypeEnabled?;
    /**
     * @stability stable
     */
    get guessMimeTypeEnabled(): boolean;
    /**
     * @stability stable
     */
    set guessMimeTypeEnabled(value: boolean);
    /**
     * @stability stable
     */
    resetGuessMimeTypeEnabled(): void;
    /**
     * @stability stable
     */
    get guessMimeTypeEnabledInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _invalidUserList?;
    /**
     * @stability stable
     */
    get invalidUserList(): string[];
    /**
     * @stability stable
     */
    set invalidUserList(value: string[]);
    /**
     * @stability stable
     */
    resetInvalidUserList(): void;
    /**
     * @stability stable
     */
    get invalidUserListInput(): string[] | undefined;
    private _kmsEncrypted?;
    /**
     * @stability stable
     */
    get kmsEncrypted(): boolean;
    /**
     * @stability stable
     */
    set kmsEncrypted(value: boolean);
    /**
     * @stability stable
     */
    resetKmsEncrypted(): void;
    /**
     * @stability stable
     */
    get kmsEncryptedInput(): boolean | undefined;
    private _kmsKeyArn?;
    /**
     * @stability stable
     */
    get kmsKeyArn(): string;
    /**
     * @stability stable
     */
    set kmsKeyArn(value: string);
    /**
     * @stability stable
     */
    resetKmsKeyArn(): void;
    /**
     * @stability stable
     */
    get kmsKeyArnInput(): string | undefined;
    private _locationArn;
    /**
     * @stability stable
     */
    get locationArn(): string;
    /**
     * @stability stable
     */
    set locationArn(value: string);
    /**
     * @stability stable
     */
    get locationArnInput(): string;
    private _objectAcl?;
    /**
     * @stability stable
     */
    get objectAcl(): string;
    /**
     * @stability stable
     */
    set objectAcl(value: string);
    /**
     * @stability stable
     */
    resetObjectAcl(): void;
    /**
     * @stability stable
     */
    get objectAclInput(): string | undefined;
    /**
     * @stability stable
     */
    get path(): string;
    private _readOnly?;
    /**
     * @stability stable
     */
    get readOnly(): boolean;
    /**
     * @stability stable
     */
    set readOnly(value: boolean);
    /**
     * @stability stable
     */
    resetReadOnly(): void;
    /**
     * @stability stable
     */
    get readOnlyInput(): boolean | undefined;
    private _requesterPays?;
    /**
     * @stability stable
     */
    get requesterPays(): boolean;
    /**
     * @stability stable
     */
    set requesterPays(value: boolean);
    /**
     * @stability stable
     */
    resetRequesterPays(): void;
    /**
     * @stability stable
     */
    get requesterPaysInput(): boolean | undefined;
    private _roleArn;
    /**
     * @stability stable
     */
    get roleArn(): string;
    /**
     * @stability stable
     */
    set roleArn(value: string);
    /**
     * @stability stable
     */
    get roleArnInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _validUserList?;
    /**
     * @stability stable
     */
    get validUserList(): string[];
    /**
     * @stability stable
     */
    set validUserList(value: string[]);
    /**
     * @stability stable
     */
    resetValidUserList(): void;
    /**
     * @stability stable
     */
    get validUserListInput(): string[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): StoragegatewaySmbFileShareTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: StoragegatewaySmbFileShareTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): StoragegatewaySmbFileShareTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
