import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface VpcEndpointServiceConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly acceptanceRequired: boolean;
    /**
     * @stability stable
     */
    readonly allowedPrincipals?: string[];
    /**
     * @stability stable
     */
    readonly networkLoadBalancerArns: string[];
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class VpcEndpointService extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VpcEndpointServiceConfig);
    private _acceptanceRequired;
    /**
     * @stability stable
     */
    get acceptanceRequired(): boolean;
    /**
     * @stability stable
     */
    set acceptanceRequired(value: boolean);
    /**
     * @stability stable
     */
    get acceptanceRequiredInput(): boolean;
    private _allowedPrincipals?;
    /**
     * @stability stable
     */
    get allowedPrincipals(): string[];
    /**
     * @stability stable
     */
    set allowedPrincipals(value: string[]);
    /**
     * @stability stable
     */
    resetAllowedPrincipals(): void;
    /**
     * @stability stable
     */
    get allowedPrincipalsInput(): string[] | undefined;
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get availabilityZones(): string[];
    /**
     * @stability stable
     */
    get baseEndpointDnsNames(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get managesVpcEndpoints(): boolean;
    private _networkLoadBalancerArns;
    /**
     * @stability stable
     */
    get networkLoadBalancerArns(): string[];
    /**
     * @stability stable
     */
    set networkLoadBalancerArns(value: string[]);
    /**
     * @stability stable
     */
    get networkLoadBalancerArnsInput(): string[];
    /**
     * @stability stable
     */
    get privateDnsName(): string;
    /**
     * @stability stable
     */
    get serviceName(): string;
    /**
     * @stability stable
     */
    get serviceType(): string;
    /**
     * @stability stable
     */
    get state(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
