import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface VpcIpv4CidrBlockAssociationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly cidrBlock: string;
    /**
     * @stability stable
     */
    readonly vpcId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: VpcIpv4CidrBlockAssociationTimeouts;
}
/**
 * @stability stable
 */
export interface VpcIpv4CidrBlockAssociationTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
}
/**
 * @stability stable
 */
export declare class VpcIpv4CidrBlockAssociation extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VpcIpv4CidrBlockAssociationConfig);
    private _cidrBlock;
    /**
     * @stability stable
     */
    get cidrBlock(): string;
    /**
     * @stability stable
     */
    set cidrBlock(value: string);
    /**
     * @stability stable
     */
    get cidrBlockInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _vpcId;
    /**
     * @stability stable
     */
    get vpcId(): string;
    /**
     * @stability stable
     */
    set vpcId(value: string);
    /**
     * @stability stable
     */
    get vpcIdInput(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): VpcIpv4CidrBlockAssociationTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: VpcIpv4CidrBlockAssociationTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): VpcIpv4CidrBlockAssociationTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
