import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 * @stability stable
 */
export interface VpnConnectionConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly customerGatewayId: string;
    /**
     * @stability stable
     */
    readonly staticRoutesOnly?: boolean;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly transitGatewayId?: string;
    /**
     * @stability stable
     */
    readonly tunnel1InsideCidr?: string;
    /**
     * @stability stable
     */
    readonly tunnel1PresharedKey?: string;
    /**
     * @stability stable
     */
    readonly tunnel2InsideCidr?: string;
    /**
     * @stability stable
     */
    readonly tunnel2PresharedKey?: string;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly vpnGatewayId?: string;
}
/**
 * @stability stable
 */
export declare class VpnConnectionRoutes extends ComplexComputedList {
    /**
     * @stability stable
     */
    get destinationCidrBlock(): string;
    /**
     * @stability stable
     */
    get source(): string;
    /**
     * @stability stable
     */
    get state(): string;
}
/**
 * @stability stable
 */
export declare class VpnConnectionVgwTelemetry extends ComplexComputedList {
    /**
     * @stability stable
     */
    get acceptedRouteCount(): number;
    /**
     * @stability stable
     */
    get lastStatusChange(): string;
    /**
     * @stability stable
     */
    get outsideIpAddress(): string;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    get statusMessage(): string;
}
/**
 * @stability stable
 */
export declare class VpnConnection extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VpnConnectionConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get customerGatewayConfiguration(): string;
    private _customerGatewayId;
    /**
     * @stability stable
     */
    get customerGatewayId(): string;
    /**
     * @stability stable
     */
    set customerGatewayId(value: string);
    /**
     * @stability stable
     */
    get customerGatewayIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    routes(index: string): VpnConnectionRoutes;
    private _staticRoutesOnly?;
    /**
     * @stability stable
     */
    get staticRoutesOnly(): boolean;
    /**
     * @stability stable
     */
    set staticRoutesOnly(value: boolean);
    /**
     * @stability stable
     */
    resetStaticRoutesOnly(): void;
    /**
     * @stability stable
     */
    get staticRoutesOnlyInput(): boolean | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get transitGatewayAttachmentId(): string;
    private _transitGatewayId?;
    /**
     * @stability stable
     */
    get transitGatewayId(): string;
    /**
     * @stability stable
     */
    set transitGatewayId(value: string);
    /**
     * @stability stable
     */
    resetTransitGatewayId(): void;
    /**
     * @stability stable
     */
    get transitGatewayIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get tunnel1Address(): string;
    /**
     * @stability stable
     */
    get tunnel1BgpAsn(): string;
    /**
     * @stability stable
     */
    get tunnel1BgpHoldtime(): number;
    /**
     * @stability stable
     */
    get tunnel1CgwInsideAddress(): string;
    private _tunnel1InsideCidr?;
    /**
     * @stability stable
     */
    get tunnel1InsideCidr(): string;
    /**
     * @stability stable
     */
    set tunnel1InsideCidr(value: string);
    /**
     * @stability stable
     */
    resetTunnel1InsideCidr(): void;
    /**
     * @stability stable
     */
    get tunnel1InsideCidrInput(): string | undefined;
    private _tunnel1PresharedKey?;
    /**
     * @stability stable
     */
    get tunnel1PresharedKey(): string;
    /**
     * @stability stable
     */
    set tunnel1PresharedKey(value: string);
    /**
     * @stability stable
     */
    resetTunnel1PresharedKey(): void;
    /**
     * @stability stable
     */
    get tunnel1PresharedKeyInput(): string | undefined;
    /**
     * @stability stable
     */
    get tunnel1VgwInsideAddress(): string;
    /**
     * @stability stable
     */
    get tunnel2Address(): string;
    /**
     * @stability stable
     */
    get tunnel2BgpAsn(): string;
    /**
     * @stability stable
     */
    get tunnel2BgpHoldtime(): number;
    /**
     * @stability stable
     */
    get tunnel2CgwInsideAddress(): string;
    private _tunnel2InsideCidr?;
    /**
     * @stability stable
     */
    get tunnel2InsideCidr(): string;
    /**
     * @stability stable
     */
    set tunnel2InsideCidr(value: string);
    /**
     * @stability stable
     */
    resetTunnel2InsideCidr(): void;
    /**
     * @stability stable
     */
    get tunnel2InsideCidrInput(): string | undefined;
    private _tunnel2PresharedKey?;
    /**
     * @stability stable
     */
    get tunnel2PresharedKey(): string;
    /**
     * @stability stable
     */
    set tunnel2PresharedKey(value: string);
    /**
     * @stability stable
     */
    resetTunnel2PresharedKey(): void;
    /**
     * @stability stable
     */
    get tunnel2PresharedKeyInput(): string | undefined;
    /**
     * @stability stable
     */
    get tunnel2VgwInsideAddress(): string;
    private _type;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    get typeInput(): string;
    /**
     * @stability stable
     */
    vgwTelemetry(index: string): VpnConnectionVgwTelemetry;
    private _vpnGatewayId?;
    /**
     * @stability stable
     */
    get vpnGatewayId(): string;
    /**
     * @stability stable
     */
    set vpnGatewayId(value: string);
    /**
     * @stability stable
     */
    resetVpnGatewayId(): void;
    /**
     * @stability stable
     */
    get vpnGatewayIdInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
