import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface VpnGatewayRoutePropagationConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly routeTableId: string;
    /**
     * @stability stable
     */
    readonly vpnGatewayId: string;
}
/**
 * @stability stable
 */
export declare class VpnGatewayRoutePropagation extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VpnGatewayRoutePropagationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _routeTableId;
    /**
     * @stability stable
     */
    get routeTableId(): string;
    /**
     * @stability stable
     */
    set routeTableId(value: string);
    /**
     * @stability stable
     */
    get routeTableIdInput(): string;
    private _vpnGatewayId;
    /**
     * @stability stable
     */
    get vpnGatewayId(): string;
    /**
     * @stability stable
     */
    set vpnGatewayId(value: string);
    /**
     * @stability stable
     */
    get vpnGatewayIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
