import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface WafRegexPatternSetConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly regexPatternStrings?: string[];
}
/**
 * @stability stable
 */
export declare class WafRegexPatternSet extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: WafRegexPatternSetConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _regexPatternStrings?;
    /**
     * @stability stable
     */
    get regexPatternStrings(): string[];
    /**
     * @stability stable
     */
    set regexPatternStrings(value: string[]);
    /**
     * @stability stable
     */
    resetRegexPatternStrings(): void;
    /**
     * @stability stable
     */
    get regexPatternStringsInput(): string[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
