import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface WafXssMatchSetConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * xss_match_tuples block.
     *
     * @stability stable
     */
    readonly xssMatchTuples?: WafXssMatchSetXssMatchTuples[];
}
/**
 * @stability stable
 */
export interface WafXssMatchSetXssMatchTuplesFieldToMatch {
    /**
     * @stability stable
     */
    readonly data?: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface WafXssMatchSetXssMatchTuples {
    /**
     * @stability stable
     */
    readonly textTransformation: string;
    /**
     * field_to_match block.
     *
     * @stability stable
     */
    readonly fieldToMatch: WafXssMatchSetXssMatchTuplesFieldToMatch[];
}
/**
 * @stability stable
 */
export declare class WafXssMatchSet extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: WafXssMatchSetConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _xssMatchTuples?;
    /**
     * @stability stable
     */
    get xssMatchTuples(): WafXssMatchSetXssMatchTuples[];
    /**
     * @stability stable
     */
    set xssMatchTuples(value: WafXssMatchSetXssMatchTuples[]);
    /**
     * @stability stable
     */
    resetXssMatchTuples(): void;
    /**
     * @stability stable
     */
    get xssMatchTuplesInput(): WafXssMatchSetXssMatchTuples[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
