import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface WafregionalByteMatchSetConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * byte_match_tuple block.
     *
     * @stability stable
     */
    readonly byteMatchTuple?: WafregionalByteMatchSetByteMatchTuple[];
    /**
     * byte_match_tuples block.
     *
     * @stability stable
     */
    readonly byteMatchTuples?: WafregionalByteMatchSetByteMatchTuples[];
}
/**
 * @stability stable
 */
export interface WafregionalByteMatchSetByteMatchTupleFieldToMatch {
    /**
     * @stability stable
     */
    readonly data?: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface WafregionalByteMatchSetByteMatchTuple {
    /**
     * @stability stable
     */
    readonly positionalConstraint: string;
    /**
     * @stability stable
     */
    readonly targetString?: string;
    /**
     * @stability stable
     */
    readonly textTransformation: string;
    /**
     * field_to_match block.
     *
     * @stability stable
     */
    readonly fieldToMatch: WafregionalByteMatchSetByteMatchTupleFieldToMatch[];
}
/**
 * @stability stable
 */
export interface WafregionalByteMatchSetByteMatchTuplesFieldToMatch {
    /**
     * @stability stable
     */
    readonly data?: string;
    /**
     * @stability stable
     */
    readonly type: string;
}
/**
 * @stability stable
 */
export interface WafregionalByteMatchSetByteMatchTuples {
    /**
     * @stability stable
     */
    readonly positionalConstraint: string;
    /**
     * @stability stable
     */
    readonly targetString?: string;
    /**
     * @stability stable
     */
    readonly textTransformation: string;
    /**
     * field_to_match block.
     *
     * @stability stable
     */
    readonly fieldToMatch: WafregionalByteMatchSetByteMatchTuplesFieldToMatch[];
}
/**
 * @stability stable
 */
export declare class WafregionalByteMatchSet extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: WafregionalByteMatchSetConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _byteMatchTuple?;
    /**
     * @stability stable
     */
    get byteMatchTuple(): WafregionalByteMatchSetByteMatchTuple[];
    /**
     * @stability stable
     */
    set byteMatchTuple(value: WafregionalByteMatchSetByteMatchTuple[]);
    /**
     * @stability stable
     */
    resetByteMatchTuple(): void;
    /**
     * @stability stable
     */
    get byteMatchTupleInput(): WafregionalByteMatchSetByteMatchTuple[] | undefined;
    private _byteMatchTuples?;
    /**
     * @stability stable
     */
    get byteMatchTuples(): WafregionalByteMatchSetByteMatchTuples[];
    /**
     * @stability stable
     */
    set byteMatchTuples(value: WafregionalByteMatchSetByteMatchTuples[]);
    /**
     * @stability stable
     */
    resetByteMatchTuples(): void;
    /**
     * @stability stable
     */
    get byteMatchTuplesInput(): WafregionalByteMatchSetByteMatchTuples[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
