import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 * @stability stable
 */
export interface WorkspacesDirectoryConfig extends TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly directoryId: string;
    /**
     * @stability stable
     */
    readonly subnetIds?: string[];
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * self_service_permissions block.
     *
     * @stability stable
     */
    readonly selfServicePermissions?: WorkspacesDirectorySelfServicePermissions[];
}
/**
 * @stability stable
 */
export interface WorkspacesDirectorySelfServicePermissions {
    /**
     * @stability stable
     */
    readonly changeComputeType?: boolean;
    /**
     * @stability stable
     */
    readonly increaseVolumeSize?: boolean;
    /**
     * @stability stable
     */
    readonly rebuildWorkspace?: boolean;
    /**
     * @stability stable
     */
    readonly restartWorkspace?: boolean;
    /**
     * @stability stable
     */
    readonly switchRunningMode?: boolean;
}
/**
 * @stability stable
 */
export declare class WorkspacesDirectory extends TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: WorkspacesDirectoryConfig);
    /**
     * @stability stable
     */
    get alias(): string;
    /**
     * @stability stable
     */
    get customerUserName(): string;
    private _directoryId;
    /**
     * @stability stable
     */
    get directoryId(): string;
    /**
     * @stability stable
     */
    set directoryId(value: string);
    /**
     * @stability stable
     */
    get directoryIdInput(): string;
    /**
     * @stability stable
     */
    get directoryName(): string;
    /**
     * @stability stable
     */
    get directoryType(): string;
    /**
     * @stability stable
     */
    get dnsIpAddresses(): string[];
    /**
     * @stability stable
     */
    get iamRoleId(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get ipGroupIds(): string[];
    /**
     * @stability stable
     */
    get registrationCode(): string;
    private _subnetIds?;
    /**
     * @stability stable
     */
    get subnetIds(): string[];
    /**
     * @stability stable
     */
    set subnetIds(value: string[]);
    /**
     * @stability stable
     */
    resetSubnetIds(): void;
    /**
     * @stability stable
     */
    get subnetIdsInput(): string[] | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    get workspaceSecurityGroupId(): string;
    private _selfServicePermissions?;
    /**
     * @stability stable
     */
    get selfServicePermissions(): WorkspacesDirectorySelfServicePermissions[];
    /**
     * @stability stable
     */
    set selfServicePermissions(value: WorkspacesDirectorySelfServicePermissions[]);
    /**
     * @stability stable
     */
    resetSelfServicePermissions(): void;
    /**
     * @stability stable
     */
    get selfServicePermissionsInput(): WorkspacesDirectorySelfServicePermissions[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
